Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82331 - xchat should default to htmlview
Summary: xchat should default to htmlview
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xchat
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 12:25 UTC by Panu Matilainen
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version: 2.0.7-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-05 20:59:50 UTC


Attachments (Terms of Use)
Make xchat use htmlview by default (deleted)
2003-01-21 12:48 UTC, Panu Matilainen
no flags Details | Diff

Description Panu Matilainen 2003-01-21 12:25:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
When right-clicking on an URL (well, anything looking like a hostname) you get
tons of options:
- Netscape -> open in existing window
           -> open in new window
- Galeon -> open in...
..yadda yadda.

I think it should only have "open in web browser" and use htmlview to determine
what the users favorite web browser happens to be. Similarly the amount of "send
url to" options is ridiculous IMHO. Same kind of thing is happening on other
packages as well, for example #80839.


Version-Release number of selected component (if applicable): up to and
including xchat-1.8.11-3


How reproducible:
Always

Steps to Reproduce:
1. rm -rf ~/.xchat
2. xchat &
3. right click on a hostname in the main text area
    

Actual Results:  You get gazillion of options for using software which isn't
even included in RHL, like launching Netscape or Opera.

Expected Results:  For better user experience I think it should follow the
settings of user preferred applications and/or htmlview settings.

Additional info:

Comment 1 Panu Matilainen 2003-01-21 12:48:49 UTC
Created attachment 89460 [details]
Make xchat use htmlview by default

Attached patch does it for english .. but then there are the translations for
which this should be done too :( If you think this would be a good thing I
suppose I can do the patch for the translations as well.

Comment 2 Mike A. Harris 2003-01-23 12:03:37 UTC
I don't disagree with you about making htmlview part of the xchat browser
menu, and in fact making it the first choice on the menu.  I have polled
a few people to see what their opinions were first before presenting my
own, and have had some mixed results.  Most people like the idea of putting
htmlview on the menu as "Default web browser" or just "Web Browser", but
most of the people I've talked to like to be able to fire up a URL in
an alternate browser as well, in case a link doesn't work in their default
browser for example.

The only way I can see making a fair decision would be to have a sort of 
slashdot poll with 3 or 4 options to choose from.  That would be the
fairest approach, but unfortunately the most time consuming as well.

I'm going to leave it for now until I get more feedback from people first,
so that I'm doing what I believe that most users want, and not my own
personal preference, or any one single user's preference.

I'll update the report when I'm ready to make the changes.

Comment 3 Panu Matilainen 2003-01-23 12:23:06 UTC
I'd be perfectly happy with just having htmlview (described as Default browser,
Web browser.. whatever) as the first entry in the menu. After that, have every
browser in the world listed in the main menu (or perhaps preferably in
submenus), I don't care :)

Comment 4 Miloslav Trmac 2003-01-24 11:45:04 UTC
IMO, switching browsers to work-around bugs is (should be) quite uncommon.
In that case, you can always use X PRIMARY selection and just paste the URL.

Comment 5 Mike A. Harris 2003-01-24 11:48:44 UTC
Quite often I open up a URL in xchat in mozilla and it wont work properly.
Opening it up in konqueror often results in it working.  Many people do this.

At any rate, there is no point debating it here.  That just wastes time.

I will add htmlview to the top of the menu sometime.  What remains on
the rest of the menu and in what order will be determined at a later
date.

Comment 6 Mike A. Harris 2004-03-05 20:59:50 UTC
Ok, I've decided that while various people (such as myself even),
will undoubtedly prefer to have a selection of web browsers to
choose from, that the confusion a brand new user might face when
using the application, and seeing so many options, is bad for user
friendliness.  Also, the general case is indeed probably that the
majority of users will be just fine with a single default setting,
so changing it to have one setting makes it simpler for the
general case.  Advanced/technical users can simply reconfigure
the interface to have whatever other entries they desire, so no
real functionality is lost, just the default settings are being
changed.

I have removed the xchat default menu structure now, and replaced
it with a single entry of "Open URL in Web Browser", which uses
htmlview.  This will be in 2.0.7-4 in rawhide.

Thanks for the feedback guys, and for your patience waiting for
me to see the light as well.  ;o)



Comment 7 Mike A. Harris 2004-03-05 21:19:23 UTC
Update: I've changed this to use gnome-open instead of htmlview
for Fedora Core 2.  The htmlview patch is still included however,
for people who rebuild on older OS releases, and in case I release
erratum for older releases.




Note You need to log in before you can comment on or make changes to this bug.